## Function `parseBigInteger( str )`

Description:
  Attempts to interpret a string as a "BigInteger" value. This can be used for working with string representations of integers that can't be stored as an unsigned 64-bit value.

  The result is a `BigInteger` object, which can't be used in normal numeric expressions, but has a number of methods defined on it for comparison, arithmetic, bit manipulation etc. See the java.math.BigInteger javadocs for details.

Parameters:
  `str` (String)
    string containing numeric representation

Return Value (BigInteger):
  BigInteger value of `str`

Examples:
  - `parseBigInteger("-20000000000000000023").doubleValue() = -2e19`
  - `parseBigInteger("18446744073709551616").testBit(64) = true`

Signature:
  `BigInteger parseBigInteger(String)`